<?php
include "includes/header.php";

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_POST['upload'])) {
        $name = $_POST['Name'];
        $address = $_POST['Address'];
        $googleMaps = $_POST['GoogleMaps'];
        $openingHours = $_POST['OpeningHours'];
        $phoneNumber = $_POST['PhoneNumber'];
        $email = $_POST['Email'];
        $password = $_POST['Password'];

        $query = "INSERT INTO Drops (Name, Address, GoogleMaps, OpeningHours, PhoneNumber, Email, Password) VALUES (?, ?, ?, ?, ?, ?, ?)";
        $stmt = mysqli_prepare($connection, $query);
        mysqli_stmt_bind_param($stmt, "sssssss", $name, $address, $googleMaps, $openingHours, $phoneNumber, $email, $password);

        if (mysqli_stmt_execute($stmt)) {
            echo "<script>window.location.href = window.location.pathname + '?add=success';</script>";
        } else {
            echo "<script>window.location.href = window.location.pathname + '?add=failed';</script>";
        }
    }

    if (isset($_POST['update'])) {
        $id = $_POST['id'];
        $name = $_POST['Name'];
        $address = $_POST['Address'];
        $googleMaps = $_POST['GoogleMaps'];
        $openingHours = $_POST['OpeningHours'];
        $phoneNumber = $_POST['PhoneNumber'];
        $email = $_POST['Email'];
        $password = $_POST['Password'];

        $query = "UPDATE Drops SET Name=?, Address=?, GoogleMaps=?, OpeningHours=?, PhoneNumber=?, Email=?, Password=? WHERE id=?";
        $stmt = mysqli_prepare($connection, $query);
        mysqli_stmt_bind_param($stmt, "sssssssi", $name, $address, $googleMaps, $openingHours, $phoneNumber, $email, $password, $id);

        if (mysqli_stmt_execute($stmt)) {
            echo "<script>window.location.href = window.location.pathname + '?update=success';</script>";
        } else {
            echo "<script>window.location.href = window.location.pathname + '?update=failed';</script>";
        }
    }

    if (isset($_POST['delete'])) {
        $id = $_POST['id'];

        $query = "DELETE FROM Drops WHERE id=?";
        $stmt = mysqli_prepare($connection, $query);
        mysqli_stmt_bind_param($stmt, "i", $id);

        if (mysqli_stmt_execute($stmt)) {
            echo "<script>window.location.href = window.location.pathname + '?del=success';</script>";
        } else {
            echo "<script>window.location.href = window.location.pathname + '?del=failed';</script>";
        }
    }
}
?>

<link rel="stylesheet" href="../fonts/fontawesome/css/all.min.css">
<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php include "includes/sidebar.php"; ?>
        <main class="page-content">
            <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
                <div class="breadcrumb-Title pe-3">Drops</div>
                <div class="ps-3">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb mb-0 p-0">
                            <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a></li>
                            <li class="breadcrumb-item active" aria-current="page">Manage Drops</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="border p-3 rounded">
                                <h6 class="mb-0 text-uppercase">Drops</h6>
                                <hr/>
                                <form class="row g-3" action="" method="post" id="upload-form">
                                    <input type="hidden" name="id" id="id">
                                    <div class="form-group">
                                        <label for="Name">Name</label>
                                        <input type="text" name="Name" id="Name" class="form-control" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="Address">Address</label>
                                        <input type="text" name="Address" id="Address" class="form-control" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="GoogleMaps">Google Maps</label>
                                        <input type="text" name="GoogleMaps" id="GoogleMaps" class="form-control" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="OpeningHours">Opening Hours</label>
                                        <input type="text" name="OpeningHours" id="OpeningHours" class="form-control" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="PhoneNumber">Phone Number</label>
                                        <input type="text" name="PhoneNumber" id="PhoneNumber" class="form-control" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="Email">Email</label>
                                        <input type="email" name="Email" id="Email" class="form-control" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="Password">Password</label>
                                        <input type="text" name="Password" id="Password" class="form-control" required>
                                    </div>
                                    <input type="submit" name="upload" value="Upload" class="btn btn-primary">
                                    <input type="submit" name="update" id="update" value="Update" class="btn btn-success" style="display: none;">
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive hidden" style="overflow-x:hidden">
                                <table id="example2" class="table table-striped table-bordered">
                                    <thead class="thead-dark">
                                        <tr>
                                            <th>Id</th>
                                            <th>Name</th>
                                            <th>Address</th>
                                            <th>Opening Hours</th>
                                            <th>Phone Number</th>
                                            <th>Email</th>
                                            <th>Password</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody id="sortable">
                                        <?php
                                        $query = "SELECT * FROM Drops";
                                        $result = mysqli_query($connection, $query);
                                        while ($row = mysqli_fetch_assoc($result)) {
                                            echo '<tr data-id="' . $row['id'] . '">';
                                            echo '<td>' . $row['id'] . '</td>';
                                            echo '<td>' . $row['Name'] . '</td>';
                                            echo '<td>' . $row['Address'] . '</td>';
                                            echo '<td>' . $row['OpeningHours'] . '</td>';
                                            echo '<td>' . $row['PhoneNumber'] . '</td>';
                                            echo '<td>' . $row['Email'] . '</td>';
                                            echo '<td>' . $row['Password'] . '</td>';
                                            echo '<td>';
                                            echo '<input type="hidden" class="id" value="' . $row['id'] . '">';
                                            echo '<input type="hidden" class="Name" value="' . $row['Name'] . '">';
                                            echo '<input type="hidden" class="Address" value="' . $row['Address'] . '">';
                                            echo '<input type="hidden" class="GoogleMaps" value="' . $row['GoogleMaps'] . '">';
                                            echo '<input type="hidden" class="OpeningHours" value="' . $row['OpeningHours'] . '">';
                                            echo '<input type="hidden" class="PhoneNumber" value="' . $row['PhoneNumber'] . '">';
                                            echo '<input type="hidden" class="Email" value="' . $row['Email'] . '">';
                                            echo '<input type="hidden" class="Password" value="' . $row['Password'] . '">';
                                            echo '&nbsp;&nbsp;<a href="#" class="text-warning edit-btn" data-bs-toggle="tooltip" data-bs-placement="bottom" aria-label="Edit"><i class="bi bi-pencil-fill"></i></a>';
                                            echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                                            echo '<a href="#" class="text-danger delete-btn" data-bs-toggle="tooltip" data-bs-placement="bottom" aria-label="Delete"><i class="bi bi-trash-fill"></i></a>';
                                            echo '</td>';
                                            echo '</tr>';
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>

 <!--start switcher-->
 <div class="switcher-body">
    <button class="btn btn-primary btn-switcher shadow-sm" type="button" data-bs-toggle="offcanvas"
        data-bs-target="#offcanvasScrolling" aria-controls="offcanvasScrolling"><i
            class="bi bi-paint-bucket me-0"></i></button>
    <div class="offcanvas offcanvas-end shadow border-start-0 p-2" data-bs-scroll="true" data-bs-backdrop="false"
        tabindex="-1" id="offcanvasScrolling">
        <div class="offcanvas-header border-bottom">
            <h5 class="offcanvas-Title" id="offcanvasScrollingLabel">Theme Customizer</h5>
            <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <h6 class="mb-0">Theme Variation</h6>
            <hr>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="LightTheme"
                    value="option1">
                <label class="form-check-label" for="LightTheme">Light</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="DarkTheme" value="option2">
                <label class="form-check-label" for="DarkTheme">Dark</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="SemiDarkTheme"
                    value="option3" checked>
                <label class="form-check-label" for="SemiDarkTheme">Semi Dark</label>
            </div>
            <hr>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="MinimalTheme"
                    value="option3">
                <label class="form-check-label" for="MinimalTheme">Minimal Theme</label>
            </div>
            
        </div>
    </div>
</div>
<!--end switcher-->
</div>
  <!--start overlay-->
  <div class="overlay toggle-icon"></div>
  <!--end overlay-->
</body>
<footer class="footer">© 2023 Insight Media</footer>
  <!-- Bootstrap JS -->
  <script src="assets/js/bootstrap.bundle.min.js"></script>
  <script src="assets/js/jquery.min.js"></script>
  <script src="assets/js/app.js"></script>
  <script src="assets/js/pace.min.js"></script>
  <script src="//code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
  <script src="assets/plugins/simplebar/js/simplebar.min.js"></script>
  <script src="assets/plugins/metismenu/js/metisMenu.min.js"></script>
  <script src="assets/plugins/perfect-scrollbar/js/perfect-scrollbar.js"></script>
  <script src="assets/plugins/datatable/js/jquery.dataTables.min.js"></script>
  <script src="assets/plugins/datatable/js/dataTables.bootstrap5.min.js"></script>
  <script src="assets/plugins/datatable/js/dataTables.buttons.min.js"></script>
  <script src="assets/plugins/datatable/js/buttons.bootstrap5.min.js"></script>
  <script src="assets/plugins/datatable/js/jszip.min.js"></script>
  <script src="assets/plugins/datatable/js/pdfmake.min.js"></script>
  <script src="assets/plugins/datatable/js/vfs_fonts.js"></script>
  <script src="assets/plugins/datatable/js/buttons.html5.min.js"></script>
  <script src="assets/plugins/datatable/js/buttons.print.min.js"></script>
  <script src="assets/plugins/datatable/js/buttons.colVis.min.js"></script>
  <script src="assets/plugins/datatable/dataTables.responsive.min.js"></script>
  <script src="assets/plugins/datatable/responsive.bootstrap5.min.js"></script>
  <script src="assets/plugins/select2/js/select2.min.js"></script>
  <script src="assets/plugins/select2/js/select2.full.min.js"></script>
  <script src="assets/plugins/notifications/js/lobibox.min.js"></script>
<script src="assets/plugins/notifications/js/notifications.min.js"></script>
<script src="assets/plugins/notifications/js/notification-custom-script.js"></script>

  <script>
    $(document).ready(function() {
        // DataTable
        $('#example2').DataTable({
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
            "buttons": ["copy", "excel", "pdf", "print"],
            "order": [[0, "asc"]] // Order by the 4th column in ascending order
        }).buttons().container().appendTo('#example2_wrapper .col-md-6:eq(0)');
    });
  </script>
        <script>
            window.onload = function () {
                const params = new URLSearchParams(window.location.search);
                const update = params.get('update');
                const add = params.get('add');
                const del = params.get('del');

                if (update === 'success') {
                    success_noti('Drops updated successfully.');
                } else if (update === 'failure') {
                    error_noti('Failed to update Drops.');
                } else if (update === 'failed') {
                    error_noti('An error occurred while uploading the image.');
                }

                if (add === 'success') {
                    success_noti('Drops item added successfully.');
                } else if (add === 'failure') {
                    error_noti('Failed to add Drops item.');
                }

                if (del === 'success') {
                    success_noti('Drops item deleted successfully.');
                } else if (del === 'failure') {
                    error_noti('Failed to delete Drops item.');
                }
            };
    $(document).ready(function () {
                // Edit and Delete button handlers
        $("#sortable").on('mousedown', '.edit-btn', function (e) {
            e.preventDefault();
            var row = $(this).closest('tr');
            var id = row.find('.id').val();
            var name = row.find('.Name').val();
            var address = row.find('.Address').val();
            var googleMaps = row.find('.GoogleMaps').val();
            var openingHours = row.find('.OpeningHours').val();
            var phoneNumber = row.find('.PhoneNumber').val();
            var email = row.find('.Email').val();
            var password = row.find('.Password').val();

            // Populate the update form fields
            $('#id').val(id);
            $('#Name').val(name);
            $('#Address').val(address);
            $('#GoogleMaps').val(googleMaps);
            $('#OpeningHours').val(openingHours);
            $('#PhoneNumber').val(phoneNumber);
            $('#Email').val(email);
            $('#Password').val(password);

            // Hide upload button and show update button
            $('#upload-form [name="upload"]').hide();
            $('#update').show();
        });

        $("#sortable").on('mousedown', '.delete-btn', function (e) {
            e.preventDefault();
            if (confirm('Are you sure you want to delete this Drop?')) {
                var id = $(this).closest('tr').find('.id').val();
                $.post('', {
                    delete: true,
                    id: id
                }, function (response) {
                    window.location.href = window.location.pathname + '?del=success';
                });
            }
        });
    });
</script>

<script>
    // Detect when a theme radio button is clicked
    document.querySelectorAll('input[name="inlineRadioOptions"]').forEach((elem) => {
        elem.addEventListener("change", function(event) {
            // Save the selected theme in localStorage
            localStorage.setItem('selectedTheme', event.target.id);
            // Apply the selected theme
            applyTheme(event.target.id);
        });
    });

    // When everything has loaded, get the selected theme from localStorage and apply it
    window.addEventListener("load", function() {
        let selectedTheme = localStorage.getItem('selectedTheme');
        if (selectedTheme) {
            document.getElementById(selectedTheme).checked = true;
            applyTheme(selectedTheme);
        }
    });

    // Function to apply the selected theme
    function applyTheme(theme) {
        const htmlClassList = document.documentElement.classList;
        // Remove all theme classes
        htmlClassList.remove('light-theme', 'dark-theme', 'semi-dark', 'minimal-theme');
        // Add the selected theme class
        switch (theme) {
            case 'LightTheme':
                htmlClassList.add('light-theme');
                break;
            case 'DarkTheme':
                htmlClassList.add('dark-theme');
                break;
            case 'SemiDarkTheme':
                htmlClassList.add('semi-dark');
                break;
            case 'MinimalTheme':
                htmlClassList.add('minimal-theme');
                break;
        }
    }
</script>
</html>
