<?php include "includes/header.php"; ?>

<?php
// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $Description = $_POST['Description'];

    // Prepare a statement for updating the database
    $stmt = mysqli_prepare($connection, "UPDATE Hint SET Description = ? WHERE id = 1");

    // Check if the statement was prepared successfully
    if ($stmt === false) {
        http_response_code(500);
        echo 'Database preparation error';
        exit;
    }

    // Bind the parameters to the statement
    mysqli_stmt_bind_param($stmt, 's', $Description);

    // Execute the statement
    if (mysqli_stmt_execute($stmt)) {
        echo "<script>window.location.href = window.location.pathname + '?update=success';</script>";
    } else {
        http_response_code(500);
        echo "<script>window.location.href = window.location.pathname + '?update=failure';</script>";
    }

    // Close the statement
    mysqli_stmt_close($stmt);
}


// Retrieve Hint from the database
$query = "SELECT * FROM Hint";
$result = mysqli_query($connection, $query);
$HintRow = mysqli_fetch_assoc($result);

$Description = $HintRow['Description'];
?>

<?php include "includes/sidebar.php"; ?>

<main class="page-content">
    <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
        <div class="breadcrumb-title pe-3">Hint</div>
        <div class="ps-3">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb mb-0 p-0">
                    <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a></li>
                    <li class="breadcrumb-item active" aria-current="page">Manage Hint</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-xl-12">
            <div class="card">
                <div class="card-body">
                    <div class="border p-3 rounded">
                        <h6 class="mb-0 text-uppercase">Hint</h6>
                        <hr />
                        <form class="row g-3" action="Hint.php" method="post" id="update_form">
                            <div class="col-12">
                                <label class="form-label">Description</label>
                                <textarea type="text" name="Description" class="form-control" rows="5"><?php echo $Description; ?></textarea>
                            </div>
                           <div class="col-12">
                                <div class="d-grid">
                                    <button type="submit" class="btn btn-primary">Update</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>

<script src="assets/plugins/notifications/js/notifications1.js"></script>
<script>
        window.onload = function () {
            const params = new URLSearchParams(window.location.search);
            const update = params.get('update');
            if (update === 'success') {
                success_noti('Hint updated successfully.');
            } else if (update === 'failure') {
                error_noti('Failed to update Hint.');
            } else if (update === 'failed') {
                error_noti('An error occurred while uploading the image.');
            }
        };
    </script>
<?php include "includes/footer.php"; ?>
