<?php
include "includes/header.php";
?>
<?php
// Handle form submission
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Retrieve form data
    $FirstPage = $_POST['FirstPage'];
    $SecondPage = $_POST['SecondPage'];
    $ThirdPage = $_POST['ThirdPage'];

    // Prepare UPDATE query
    $query = "UPDATE StartingPages SET FirstPage=?, SecondPage=?, ThirdPage=? WHERE id=1";
    $stmt = mysqli_prepare($connection, $query);

    if ($stmt) {
        // Bind parameters
        mysqli_stmt_bind_param($stmt, 'sss', $FirstPage, $SecondPage, $ThirdPage);
        
        // Execute the statement and handle success/error messages
        if (mysqli_stmt_execute($stmt)) {
            echo "<script>window.location.href = window.location.pathname + '?update=success';</script>";
        } else {
            echo "<script>window.location.href = window.location.pathname + '?update=failure';</script>";
        }
        
        // Close statement
        mysqli_stmt_close($stmt);
    } else {
        // Handle statement preparation error
        echo "<script>window.location.href = window.location.pathname + '?update=failure';</script>";
    }
}
?>


<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php include "includes/sidebar.php"; ?>
        <main class="page-content">
            <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
                <div class="breadcrumb-FirstPage pe-3">Starting Pages</div>
                <div class="ps-3">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb mb-0 p-0">
                            <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a></li>
                            <li class="breadcrumb-item active" aria-current="page">Starting Pages</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="border p-3 rounded">
                                <h6 class="mb-0 text-uppercase">Starting Pages</h6>
                                <hr />
                                <form class="row g-3" action="" method="post" enctype="multipart/form-data">
                                    <?php
                                    $query = "SELECT * FROM StartingPages WHERE id=1";
                                    $result = mysqli_query($connection, $query);
                                    $row = mysqli_fetch_assoc($result);
                                    ?>
                                    <div class="mb-3">
                                        <label for="FirstPage" class="form-label">First Page</label>
                                        <input type="text" class="form-control" id="FirstPage" name="FirstPage"
                                            value="<?php echo $row['FirstPage']; ?>" required>
                                    </div>
                                    <div class="mb-3">
                                        <label for="SecondPage" class="form-label">Second Page</label>
                                        <textarea class="form-control" id="SecondPage" name="SecondPage" rows="3"
                                            required><?php echo $row['SecondPage']; ?></textarea>
                                    </div>
                                    <div class="mb-3">
                                        <label for="ThirdPage" class="form-label">Third Page</label>
                                        <textarea class="form-control" id="ThirdPage" name="ThirdPage" rows="3"
                                            required><?php echo $row['ThirdPage']; ?></textarea>
                                    </div>
                                    <div class="mb-3">
                                        <button type="submit" class="btn btn-primary">Update</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>
    </div>

    <script>
        window.onload = function () {
            const params = new URLSearchParams(window.location.search);
            const update = params.get('update');
            if (update === 'success') {
                success_noti('Starting Pages updated successfully.');
            } else if (update === 'failure') {
                error_noti('Failed to update Starting Pages.');
            } else if (update === 'failed') {
                error_noti('An error occurred while uploading the image.');
            }
        };
    </script>

    <?php include "includes/footer.php"; ?>
