<?php
include "includes/header.php";

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Sanitize and validate email
    $email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
        echo "<script>window.onload = function() { error_noti('Invalid email address.'); };</script>";
        exit;
    }

    // Sanitize and validate password
    $password = $_POST['password'];
    if (empty($password) || strlen($password) < 8) {
        echo "<script>window.onload = function() { error_noti('Password must be at least 8 characters long.'); };</script>";
        exit;
    }

    // Sanitize category
    $category = htmlspecialchars($_POST['category']);

    // Hash the password
    $hashedPassword = password_hash($password, PASSWORD_DEFAULT);

    // Use prepared statements to prevent SQL injection
    $query = "INSERT INTO admins (email, password, category, username, firstName, lastName, phoneNumber, city, country, role, university, aboutMe, image, privileges, privileges) VALUES (?, ?, ?, 'Admin', 'Admin', 'Admin', 'Admin', 'Admin', 'Admin', 'Admin', 'Admin', 'Admin', 'Admin', 'Admin', 'Admin')";
    if ($stmt = $connection->prepare($query)) {
        $stmt->bind_param("sss", $email, $hashedPassword, $category);
        if ($stmt->execute()) {
            echo "<script>window.onload = function() { success_noti('Admin added successfully.'); };</script>";
        } else {
            echo "<script>window.onload = function() { error_noti('Admin not added.'); };</script>";
        }
        $stmt->close();
    } else {
        echo "<script>window.onload = function() { error_noti('Admin not added.'); };</script>";
    }
}
?>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <?php include "includes/sidebar.php"; ?>

        <main class="page-content">
            <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
                <div class="breadcrumb-title pe-3">Add Admin</div>
                <div class="ps-3">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb mb-0 p-0">
                            <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a></li>
                            <li class="breadcrumb-item active" aria-current="page">Add Admin</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="border p-3 rounded">
                                <h6 class="mb-0 text-uppercase">Add Admin</h6>
                                <hr />
                                <div id="message"></div>
                                <form name="form1" class="row g-3" method="POST" action="">
                                    <div>
                                        <label>Email:</label>
                                        <input class="form-control" type="email" name="email" required>
                                    </div>
                                    <div>
                                        <label>Password:</label>
                                        <input class="form-control" type="password" name="password" required>
                                    </div>
                                    <div>
                                        <label>Select Category:</label>
                                        <select class="form-control" name="category">
                                            <option value="admin">Admin</option>
                                            <option value="developer">Developer</option>
                                        </select>
                                    </div>
                                    <div>
                                        <input type="submit" name="submit" value="Add Admin" class="btn btn-primary">
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php include "includes/footer.php"; ?>
        </main>
    </div>
</body>
</html>
