<?php
require_once '../includes/db.php'; // Adjust the path as needed

header('Content-Type: application/json');

$categoryId = isset($_GET['FAQCategoriesID']) ? intval($_GET['FAQCategoriesID']) : null;

if ($categoryId) {
    $query = "SELECT id, OrderIndex, Title, Description, FAQCategoriesID FROM FAQ WHERE FAQCategoriesID = ? ORDER BY OrderIndex ASC";
    $stmt = $connection->prepare($query);
    $stmt->bind_param("i", $categoryId);
    $stmt->execute();
    $result = $stmt->get_result();
} else {
    $query = "SELECT id, OrderIndex, Title, Description, FAQCategoriesID FROM FAQ ORDER BY OrderIndex ASC";
    $result = $connection->query($query);
}

$faqs = [];

if ($result && $result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $faqs[] = $row;
    }
    echo json_encode(['error' => false, 'data' => $faqs]);
} else {
    echo json_encode(['error' => true, 'message' => 'No FAQs found']);
}

if (isset($stmt)) {
    $stmt->close();
}

$connection->close();
?>
