<?php
include '../includes/db.php';

$response = array();

// SQL to fetch all drop centers
$sql = "SELECT id, Name, Address, GoogleMaps, OpeningHours, PhoneNumber FROM Drops";

if ($stmt = $connection->prepare($sql)) {
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $response['drops'] = array();
        while ($row = $result->fetch_assoc()) {
            $drop = array(
                "id" => $row["id"],
                "name" => htmlspecialchars($row["Name"]),
                "address" => htmlspecialchars($row["Address"]),
                "googleMaps" => htmlspecialchars($row["GoogleMaps"]),
                "openingHours" => htmlspecialchars($row["OpeningHours"]),
                "phoneNumber" => htmlspecialchars($row["PhoneNumber"]),
            );
            array_push($response['drops'], $drop);
        }
        $response['success'] = 1;
    } else {
        $response['success'] = 0;
        $response['message'] = "No drops found";
    }

    $stmt->close();
} else {
    $response['success'] = 0;
    $response['message'] = "Database query failed";
}

$connection->close();

// Show response in JSON format
echo json_encode($response);
?>
