<?php
include '../includes/db.php';

$response = array();

// Sanitize the input
$verified_phone_number = htmlspecialchars($_GET['verified_phone_number'], ENT_QUOTES, 'UTF-8');

// Prepare the SQL statement to prevent SQL injection
$sql = "SELECT * FROM orders WHERE sender_id = ?";
if ($stmt = $connection->prepare($sql)) {
    $stmt->bind_param("s", $verified_phone_number);  // Bind the parameter
    $stmt->execute();  // Execute the prepared statement
    $result = $stmt->get_result();  // Get the result

    while ($row = $result->fetch_assoc()) {
        $response[] = $row;  // Fetch and append the result rows
    }

    $stmt->close();  // Close the statement
} else {
    $response['error'] = "Database query failed";
}

echo json_encode($response);  // Encode and return the response as JSON

$connection->close();  // Close the database connection
?>
