<?php
include '../includes/db.php';

header('Content-Type: application/json');

$response = array();

$query = "SELECT Fees, Insurance, Currency, InsuranceCurrency FROM Fees WHERE id = ?";
if ($stmt = $connection->prepare($query)) {
    $id = 1;
    $stmt->bind_param("i", $id);  // Bind the parameter
    $stmt->execute();  // Execute the prepared statement
    $result = $stmt->get_result();  // Get the result

    if ($row = $result->fetch_assoc()) {
        $response['success'] = true;
        $response['data'] = [
            'fees' => $row['Fees'],
            'insurance' => $row['Insurance'],
            'currency' => $row['Currency'],
            'insuranceCurrency' => $row['InsuranceCurrency']
        ];
    } else {
        $response['success'] = false;
        $response['message'] = 'Failed to fetch fees and insurance data.';
    }

    $stmt->close();  // Close the statement
} else {
    $response['success'] = false;
    $response['message'] = 'Database query failed';
}

echo json_encode($response);  // Encode and return the response as JSON

$connection->close();  // Close the database connection
?>
