<?php
include '../includes/db.php';

$response = array();
$sender_id = isset($_GET['sender_id']) ? htmlspecialchars($_GET['sender_id'], ENT_QUOTES, 'UTF-8') : '';

$query = "SELECT id, phone_number, sender_id, Status, created_at FROM orders WHERE sender_id = ? ORDER BY id DESC";
if ($stmt = $connection->prepare($query)) {
    $stmt->bind_param("s", $sender_id);  // Bind the parameter
    $stmt->execute();  // Execute the prepared statement
    $result = $stmt->get_result();  // Get the result

    if ($result->num_rows > 0) {
        $response['orders'] = array();
        while ($row = $result->fetch_assoc()) {
            // Translate status codes to readable status
            switch ($row['Status']) {
                case 0:
                    $row['status_text'] = 'In Request';
                    break;
                case 1:
                    $row['status_text'] = 'In Stock';
                    break;
                case 2:
                    $row['status_text'] = 'Picked-Up';
                    break;
            }
            $response['orders'][] = $row;
        }
        $response['success'] = 1;
    } else {
        $response['success'] = 0;
        $response['message'] = "No orders found";
    }

    $stmt->close();  // Close the statement
} else {
    $response['success'] = 0;
    $response['message'] = 'Database query failed';
}

echo json_encode($response);  // Encode and return the response as JSON

$connection->close();  // Close the database connection
?>
