<?php
include '../includes/db.php';

header('Content-Type: application/json');

$response = array();
$sender_id = filter_input(INPUT_GET, 'sender_id', FILTER_VALIDATE_INT);

if ($sender_id !== false) {
    $query = "SELECT id, phone_number, sender_id, Status, created_at FROM orders WHERE sender_id = ? AND Status = 0 ORDER BY id DESC";
    $stmt = $connection->prepare($query);
    
    if ($stmt) {
        $stmt->bind_param("i", $sender_id);
        $stmt->execute();
        $result = $stmt->get_result();
        
        if ($result->num_rows > 0) {
            $response['orders'] = array();
            while ($row = $result->fetch_assoc()) {
                $row['status_text'] = 'In Request';
                $response['orders'][] = $row;
            }
            $response['success'] = 1;
        } else {
            $response['success'] = 0;
            $response['message'] = "No orders found In Request";
        }
        
        $stmt->close();
    } else {
        $response['success'] = 0;
        $response['message'] = "Database query preparation failed";
    }
} else {
    $response['success'] = 0;
    $response['message'] = "Invalid or missing sender_id";
}

echo json_encode($response);
mysqli_close($connection);
?>
