<?php
include '../includes/db.php';

header('Content-Type: application/json');

$response = array();

if (isset($_POST['order_id'])) {
    $orderId = $_POST['order_id'];

    if (filter_var($orderId, FILTER_VALIDATE_INT) !== false) {
        $query = "SELECT file_name FROM order_images WHERE order_id = ?";
        $stmt = $connection->prepare($query);

        if ($stmt) {
            $stmt->bind_param("i", $orderId);
            $stmt->execute();
            $result = $stmt->get_result();

            if ($result->num_rows > 0) {
                $response['images'] = $result->fetch_all(MYSQLI_ASSOC);
                $response['success'] = 1;
            } else {
                $response['success'] = 0;
                $response['message'] = 'No images found';
            }

            $stmt->close();
        } else {
            $response['success'] = 0;
            $response['message'] = 'Database query preparation failed';
        }
    } else {
        $response['success'] = 0;
        $response['message'] = 'Invalid Order ID';
    }
} else {
    $response['success'] = 0;
    $response['message'] = 'Order ID not provided';
}

echo json_encode($response);
mysqli_close($connection);
?>
