<?php
include '../includes/db.php';

header('Content-Type: application/json');

$response = array();
$checkpoint = isset($_GET['checkpoint']) ? $_GET['checkpoint'] : '';

if (!empty($checkpoint)) {
    $query = "SELECT * FROM orders WHERE checkpoint = ? AND status = 0";
    $stmt = $connection->prepare($query);

    if ($stmt) {
        $stmt->bind_param("s", $checkpoint);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result->num_rows > 0) {
            $response['orders'] = array();
            while ($row = $result->fetch_assoc()) {
                $response['orders'][] = $row;
            }
            $response['success'] = 1;
        } else {
            $response['success'] = 0;
            $response['message'] = "No orders found for checkpoint $checkpoint";
        }

        $stmt->close();
    } else {
        $response['success'] = 0;
        $response['message'] = 'Database query preparation failed';
    }
} else {
    $response['success'] = 0;
    $response['message'] = 'Checkpoint parameter is missing or empty';
}

echo json_encode($response);
mysqli_close($connection);
?>
