<?php
include '../includes/db.php';

header('Content-Type: application/json');

$response = array();
$sender_id = isset($_GET['sender_id']) ? $_GET['sender_id'] : '';

if (!empty($sender_id)) {
    $query = "SELECT id, phone_number, sender_id, Status, created_at FROM orders WHERE sender_id = ? AND Status = 2 ORDER BY id DESC";
    $stmt = $connection->prepare($query);

    if ($stmt) {
        $stmt->bind_param("i", $sender_id);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result->num_rows > 0) {
            $response['orders'] = array();
            while ($row = $result->fetch_assoc()) {
                $row['status_text'] = 'Picked Up';
                array_push($response['orders'], $row);
            }
            $response['success'] = 1;
        } else {
            $response['success'] = 0;
            $response['message'] = "No orders are Picked Up yet.";
        }

        $stmt->close();
    } else {
        $response['success'] = 0;
        $response['message'] = 'Database query preparation failed';
    }
} else {
    $response['success'] = 0;
    $response['message'] = 'Sender ID parameter is missing or empty';
}

echo json_encode($response);
mysqli_close($connection);
?>
