<?php
include '../includes/db.php';

header('Content-Type: application/json');

$response = array();
$checkpoint = isset($_GET['checkpoint']) ? intval($_GET['checkpoint']) : 0;

if ($checkpoint > 0) {
    $query = "SELECT * FROM orders WHERE checkpoint = ? AND status = 1";
    if ($stmt = $connection->prepare($query)) {
        $stmt->bind_param("i", $checkpoint);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result->num_rows > 0) {
            $response['orders'] = array();
            while ($row = $result->fetch_assoc()) {
                array_push($response['orders'], $row);
            }
            $response['success'] = 1;
        } else {
            $response['success'] = 0;
            $response['message'] = "No orders found for checkpoint $checkpoint";
        }

        $stmt->close();
    } else {
        $response['success'] = 0;
        $response['message'] = "Failed to prepare the SQL statement";
    }
} else {
    $response['success'] = 0;
    $response['message'] = "Invalid checkpoint parameter";
}

echo json_encode($response);
mysqli_close($connection);
?>
