<?php
require_once '../includes/db.php';

header('Content-Type: application/json');

$response = array();

// Fetch terms data using a prepared statement
$sql = "SELECT * FROM Terms";
if ($stmt = $connection->prepare($sql)) {
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        // Output data of each row
        $termsData = array();
        while ($row = $result->fetch_assoc()) {
            $termsData[] = $row;
        }
        $response['success'] = true;
        $response['data'] = $termsData;
    } else {
        $response['success'] = false;
        $response['message'] = 'No results found';
    }

    $stmt->close();
} else {
    $response['success'] = false;
    $response['message'] = 'Failed to prepare the SQL statement';
}

echo json_encode($response);

mysqli_close($connection);
?>
