<?php
include '../includes/db.php';

header('Content-Type: application/json');

$response = array();
$input = json_decode(file_get_contents('php://input'), true);
$sender_id = isset($input['phone_number']) ? $input['phone_number'] : '';

if (!empty($sender_id)) {
    // Use a prepared statement to prevent SQL injection
    $query = "SELECT id, phone_number, sender_id, Status, created_at FROM orders WHERE phone_number = ? ORDER BY id DESC";
    if ($stmt = $connection->prepare($query)) {
        $stmt->bind_param("s", $sender_id);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result->num_rows > 0) {
            $response['orders'] = array();
            while ($row = $result->fetch_assoc()) {
                // Translate status codes to readable status
                switch ($row['Status']) {
                    case 0:
                        $row['status_text'] = 'In Request';
                        break;
                    case 1:
                        $row['status_text'] = 'In Stock';
                        break;
                    case 2:
                        $row['status_text'] = 'Picked-Up';
                        break;
                }
                array_push($response['orders'], $row);
            }
            $response['success'] = 1;
        } else {
            $response['success'] = 0;
            $response['message'] = "No orders found";
        }
        
        $stmt->close();
    } else {
        $response['success'] = 0;
        $response['message'] = "Failed to prepare the SQL statement";
    }
} else {
    $response['success'] = 0;
    $response['message'] = "Invalid or missing phone number";
}

echo json_encode($response);
mysqli_close($connection);
?>
