<?php
include('../includes/db.php');

header('Content-Type: application/json');

if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
    $columnName = '';

    switch($id) {
        case 1:
            $columnName = 'FirstPage';
            break;
        case 2:
            $columnName = 'SecondPage';
            break;
        case 3:
            $columnName = 'ThirdPage';
            break;
        default:
            // Handle invalid id
            echo json_encode(['error' => 'Invalid ID']);
            exit;
    }

    // Use a prepared statement to avoid SQL injection
    $query = "SELECT $columnName FROM StartingPages LIMIT 1";
    if ($stmt = $connection->prepare($query)) {
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result) {
            $row = $result->fetch_assoc();

            if ($row && !empty($row[$columnName])) {
                echo json_encode(['page' => $row[$columnName]]);
            } else {
                echo json_encode(['error' => 'No data found']);
            }
        } else {
            // Handle query error
            echo json_encode(['error' => 'Query failed']);
        }

        $stmt->close();
    } else {
        echo json_encode(['error' => 'Failed to prepare the SQL statement']);
    }
} else {
    echo json_encode(['error' => 'ID not provided']);
}

mysqli_close($connection);
?>
