<?php
include '../includes/db.php';

header('Content-Type: application/json');

$response = array();

// Check if sender_id is posted to this script
if (isset($_GET['verified_user_id'])) {
    $sender_id = intval($_GET['verified_user_id']);

    // Prepare the SQL query to select orders matching the sender_id
    $sql = "SELECT id, created_at FROM orders WHERE sender_id = ?";
    $stmt = $connection->prepare($sql);

    // Check if the statement was prepared correctly
    if ($stmt) {
        $stmt->bind_param("i", $sender_id);
        $stmt->execute();
        $result = $stmt->get_result();

        $orders = array();

        // Fetch the results and populate the orders array
        while ($row = $result->fetch_assoc()) {
            $orders[] = $row;
        }

        // Close the statement
        $stmt->close();

        // Return the orders as JSON
        $response['success'] = 1;
        $response['orders'] = $orders;
    } else {
        // Handle errors, e.g., statement preparation failed
        $response['success'] = 0;
        $response['error'] = "Failed to prepare the statement.";
    }
} else {
    // Handle the case where sender_id was not provided
    $response['success'] = 0;
    $response['error'] = "No sender_id provided.";
}

// Close the database connection
$connection->close();

// Output the JSON response
echo json_encode($response);
?>
