<?php
require_once '../vendor/autoload.php'; // Adjust the path as needed
require_once '../includes/db.php'; // Include your DB connection

use Twilio\Rest\Client;

// Twilio credentials (Use the WhatsApp-specific credentials)
$accountSid = 'AC86b51642b61503f1f2dc2a3680daa2bb'; // Example SID
$authToken = '2cda21d5c63204e670eb0a041ebd3c8c'; // Example Auth Token
$twilioWhatsAppNumber = 'whatsapp:+19516434805'; // Your WhatsApp-enabled Twilio number

// Initialize the Twilio client
$client = new Client($accountSid, $authToken);

// Phone number from the request, formatted for WhatsApp
$phoneNumber = $_POST['phoneNumber'] ?? '';
$whatsAppPhoneNumber = 'whatsapp:' . $phoneNumber;

// Check if the phone number is provided
if (empty($phoneNumber)) {
    echo json_encode(['error' => 'Phone number is required.']);
    exit;
}

// Generate a new verification code
$verificationCode = rand(1000, 9999); // Generating a 4-digit code

// Update the verification code in the database
$stmt = $connection->prepare("UPDATE user_verification_codes SET verification_code = ? WHERE phone_number = ?");
$stmt->bind_param("ss", $verificationCode, $phoneNumber); // Assume phone number is stored without "whatsapp:"
$success = $stmt->execute();
$stmt->close();

if (!$success) {
    echo json_encode(['error' => 'Failed to update the verification code.']);
    exit;
}

// Send the new verification code via WhatsApp
try {
    $message = $client->messages->create(
        $whatsAppPhoneNumber, // WhatsApp number to send message to
        [
            'from' => $twilioWhatsAppNumber, // From your WhatsApp-enabled Twilio number
            'body' => str_replace('{{1}}', $verificationCode, "*{{1}}* is your new verification code. For your security, do not share this code.")
        ]
    );

    echo json_encode(['message' => 'Verification code resent successfully via WhatsApp', 'messageId' => $message->sid]);
} catch (Exception $e) {
    echo json_encode(['error' => 'Failed to resend verification code via WhatsApp. ' . $e->getMessage()]);
}
?>
