<?php
require_once '../vendor/autoload.php'; // Adjust the path as needed
require_once '../includes/db.php'; // Include your DB connection

use Twilio\Rest\Client;

// Twilio credentials (Update these to your WhatsApp credentials)
$accountSid = 'AC86b51642b61503f1f2dc2a3680daa2bb';
$authToken = '2cda21d5c63204e670eb0a041ebd3c8c';
$twilioWhatsAppNumber = 'whatsapp:+19516434805'; // Your WhatsApp-enabled Twilio number

// Initialize the Twilio client
$client = new Client($accountSid, $authToken);

// Get phone number from POST request
$phoneNumber = isset($_POST['phoneNumber']) ? $_POST['phoneNumber'] : '';

// Format phone number for WhatsApp messaging
$whatsAppPhoneNumber = 'whatsapp:' . $phoneNumber;

// Basic validation
if (empty($phoneNumber)) {
    echo json_encode(['success' => false, 'message' => 'Phone number is required']);
    exit;
}

// Check if phone number exists in the Users table
$userCheckQuery = $connection->prepare("SELECT * FROM Users WHERE PhoneNumber = ?");
$userCheckQuery->bind_param("s", $phoneNumber);
$userCheckQuery->execute();
$userResult = $userCheckQuery->get_result();

if ($userResult->num_rows == 0) {
    // Phone number does not exist in Users table
    echo json_encode(['success' => false, 'message' => 'The phone number you entered does not match any registered account.']);
    exit;
}

// Generate a 4-digit verification code
$verificationCode = rand(1000, 9999);

// Check if phone number already exists in password_reset_requests
$checkQuery = $connection->prepare("SELECT * FROM password_reset_requests WHERE phone_number = ?");
$checkQuery->bind_param("s", $phoneNumber);
$checkQuery->execute();
$result = $checkQuery->get_result();

if ($result->num_rows > 0) {
    // Phone number exists, update the record
    $updateQuery = $connection->prepare("UPDATE password_reset_requests SET verification_code = ?, expires_at = DATE_ADD(NOW(), INTERVAL 10 MINUTE) WHERE phone_number = ?");
    $updateQuery->bind_param("is", $verificationCode, $phoneNumber);
    $updateQuery->execute();
} else {
    // Phone number does not exist, insert a new record
    $insertQuery = $connection->prepare("INSERT INTO password_reset_requests (phone_number, verification_code, expires_at) VALUES (?, ?, DATE_ADD(NOW(), INTERVAL 10 MINUTE))");
    $insertQuery->bind_param("si", $phoneNumber, $verificationCode);
    $insertQuery->execute();
}

// Send verification code via WhatsApp
try {
    $message = $client->messages->create(
        $whatsAppPhoneNumber, // WhatsApp number to send message to
        [
            'from' => $twilioWhatsAppNumber, // From your WhatsApp-enabled Twilio number
            'body' => str_replace('{{1}}', $verificationCode, "*{{1}}* is your verification code. For your security, do not share this code.")
        ]
    );

    // Respond with success
    echo json_encode(['success' => true, 'message' => 'Verification code sent via WhatsApp successfully.', 'messageId' => $message->sid]);
} catch (Exception $e) {
    // Handle errors
    echo json_encode(['success' => false, 'message' => 'Failed to send verification code via WhatsApp.', 'errorMessage' => $e->getMessage()]);
}

?>
