  <!--start switcher-->
<div class="switcher-body">
    <button class="btn btn-primary btn-switcher shadow-sm" type="button" data-bs-toggle="offcanvas"
        data-bs-target="#offcanvasScrolling" aria-controls="offcanvasScrolling"><i
            class="bi bi-paint-bucket me-0"></i></button>
    <div class="offcanvas offcanvas-end shadow border-start-0 p-2" data-bs-scroll="true" data-bs-backdrop="false"
        tabindex="-1" id="offcanvasScrolling">
        <div class="offcanvas-header border-bottom">
            <h5 class="offcanvas-title" id="offcanvasScrollingLabel">Theme Customizer</h5>
            <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <h6 class="mb-0">Theme Variation</h6>
            <hr>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="LightTheme"
                    value="option1">
                <label class="form-check-label" for="LightTheme">Light</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="DarkTheme" value="option2">
                <label class="form-check-label" for="DarkTheme">Dark</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="SemiDarkTheme"
                    value="option3" checked>
                <label class="form-check-label" for="SemiDarkTheme">Semi Dark</label>
            </div>
            <hr>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="MinimalTheme"
                    value="option3">
                <label class="form-check-label" for="MinimalTheme">Minimal Theme</label>
            </div>
            
        </div>
    </div>
</div>
<!--end switcher-->
</div>
<!-- Bootstrap bundle JS -->
<script src="assets/js/bootstrap.bundle.min.js"></script>

<!--plugins-->
<script src="assets/js/jquery.min.js"></script>
<script src="assets/plugins/simplebar/js/simplebar.min.js"></script>
<script src="assets/plugins/metismenu/js/metisMenu.min.js"></script>
<script src="assets/plugins/perfect-scrollbar/js/perfect-scrollbar.js"></script>
<script src="assets/js/pace.min.js"></script>

<!-- Vector map JavaScript -->
<script src="assets/plugins/vectormap/jquery-jvectormap-2.0.2.min.js"></script>
<script src="assets/plugins/vectormap/jquery-jvectormap-world-mill-en.js"></script>

<!-- charts -->
<script src="assets/plugins/chartjs/js/Chart.min.js"></script>
<script src="assets/plugins/chartjs/js/Chart.extension.js"></script>
<script src="assets/plugins/apexcharts-bundle/js/apexcharts.min.js"></script>

<!--datatables-->
<script src="assets/plugins/datatable/js/jquery.dataTables.min.js"></script>
<script src="assets/plugins/datatable/js/dataTables.bootstrap5.min.js"></script>
<script src="assets/js/table-datatable.js"></script>

<!--app-->
<script src="assets/js/app.js"></script>
<script src="assets/js/index.js"></script>

<!--notification js -->
<script src="assets/plugins/notifications/js/lobibox.min.js"></script>
<script src="assets/plugins/notifications/js/notifications.min.js"></script>
<script src="assets/plugins/notifications/js/notification-custom-script.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>
<script src="assets/js/form-select2.js"></script>

<script>
    // Detect when a theme radio button is clicked
    document.querySelectorAll('input[name="inlineRadioOptions"]').forEach((elem) => {
        elem.addEventListener("change", function(event) {
            // Save the selected theme in localStorage
            localStorage.setItem('selectedTheme', event.target.id);
            // Apply the selected theme
            applyTheme(event.target.id);
        });
    });

    // When everything has loaded, get the selected theme from localStorage and apply it
    window.addEventListener("load", function() {
        let selectedTheme = localStorage.getItem('selectedTheme');
        if (selectedTheme) {
            document.getElementById(selectedTheme).checked = true;
            applyTheme(selectedTheme);
        }
    });

    // Function to apply the selected theme
    function applyTheme(theme) {
        const htmlClassList = document.documentElement.classList;
        // Remove all theme classes
        htmlClassList.remove('light-theme', 'dark-theme', 'semi-dark', 'minimal-theme');
        // Add the selected theme class
        switch (theme) {
            case 'LightTheme':
                htmlClassList.add('light-theme');
                break;
            case 'DarkTheme':
                htmlClassList.add('dark-theme');
                break;
            case 'SemiDarkTheme':
                htmlClassList.add('semi-dark');
                break;
            case 'MinimalTheme':
                htmlClassList.add('minimal-theme');
                break;
        }
    }
</script>



