<?php
$id = $_SESSION['admin_id'];
$query = "SELECT privileges FROM admins WHERE id='$id'";
$result = mysqli_query($connection, $query);
$admin = mysqli_fetch_assoc($result);
$adminPrivileges = explode(' ', $admin['privileges']);

$sql = "SELECT * FROM sidebar ORDER BY parent_id ASC, id ASC";
$result = mysqli_query($connection, $sql);

$items = [];
while($row = mysqli_fetch_assoc($result)) {
    $items[] = $row;
}

function buildMenu(array $elements, $parentId = 0) {
    $branch = array();

    foreach ($elements as $element) {
        if ($element['parent_id'] == $parentId) {
            $children = buildMenu($elements, $element['id']);
            if ($children) {
                $element['submenu'] = $children;
            }
            $branch[] = $element;
        }
    }

    return $branch;
}

$tree = buildMenu($items);

function printMenu($tree, $currentUrl, $adminPrivileges){
    foreach ($tree as $i => $item) {
        $itemPrivilegeName = strtolower(str_replace(' ', '', $item['title']));
        if (!in_array($itemPrivilegeName, $adminPrivileges)) {
            continue;
        }

        $isActive = '';
        if(isset($item['submenu']) && count($item['submenu']) > 0){
            foreach ($item['submenu'] as $subItem) {
                $subItemLink = strtok($subItem['link'], '?');
                if (strpos($currentUrl, $subItemLink) !== false) {
                    $isActive = ' mm-active';
                    break;
                }
            }
            echo '<li class="'.$isActive.'">';
            echo '
                <a href="javascript:;" class="has-arrow">
                <div class="parent-icon"><i class="'.$item['icon'].'"></i></div>
                <div class="menu-title">'.$item['title'].'</div></a>';
            echo '<ul class="'.$isActive.'">';
            printMenu($item['submenu'], $currentUrl, $adminPrivileges);
            echo '</ul>';
        } else {
            $itemLink = strtok($item['link'], '?');
            $isActive = (strpos($currentUrl, $itemLink) !== false) ? ' mm-active' : '';
            echo '<li class="'.$isActive.'">';
            echo '
                <a href="'.$item['link'].'">
                <div class="parent-icon"><i class="'.$item['icon'].'"></i></div>
                <div class="menu-title">'.$item['title'].'</div></a>';
        }
        echo '</li>';
    }
}

$currentUrl = $_SERVER["REQUEST_URI"];
?>
<!--start sidebar -->
<aside class="sidebar-wrapper" data-simplebar="true">
    <div class="sidebar-header">
        <div>
            <img src="assets/images/logo-icon.png" class="logo-icon" alt="logo icon">
        </div>
        <div>
            <h4 class="logo-text">Insight Media</h4>
        </div>
        <div class="toggle-icon ms-auto"> 
            <i class="bi bi-list"></i>
        </div>
    </div>
    <!--navigation-->
    <ul class="metismenu" id="menu">
        <?php printMenu($tree, $currentUrl, $adminPrivileges); ?>
    </ul>
    <!--end navigation-->
</aside>
<!--end sidebar -->
