<?php include "includes/db.php"; ?>

<!doctype html>
<html lang="en" class="semi-dark">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" href="assets/images/favicon-32x32.png" type="image/png" />
  <!-- Bootstrap CSS -->
  <link href="assets/css/bootstrap.min.css" rel="stylesheet" />
  <link href="assets/css/bootstrap-extended.css" rel="stylesheet" />
  <link href="assets/css/style.css" rel="stylesheet" />
  <link href="assets/css/icons.css" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
  <!-- loader-->
  <link href="assets/css/pace.min.css" rel="stylesheet" />
  <title>Eventus ME</title>
</head>

<body class="bg-login">
  <!--start wrapper-->
  <div class="wrapper">
    <!--start content-->
    <main class="authentication-content mt-5">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12 col-lg-4 mx-auto">
            <div class="card shadow rounded-5 overflow-hidden">
              <div class="card-body p-4 p-sm-5">
                <div style="text-align:center">
                  <img src="assets/images/logo_A.png">
                  <hr>
                </div>
                <h5 class="card-title">Sign In</h5>
                <p class="card-text mb-5">See your growth and get consulting support!</p>
                <form class="form-body" id="signin-form">
                  <div class="row g-3">
                    <div class="col-12">
                      <label for="inputEmailAddress" class="form-label">Email Address</label>
                      <div class="ms-auto position-relative">
                        <div class="position-absolute top-50 translate-middle-y search-icon px-3"><i class="bi bi-envelope-fill"></i></div>
                        <input type="email" class="form-control radius-30 ps-5" id="inputEmailAddress" name="email" placeholder="Email Address" required>
                      </div>
                    </div>
                    <div class="col-12">
                      <label for="inputChoosePassword" class="form-label">Enter Password</label>
                      <div class="ms-auto position-relative">
                        <div class="position-absolute top-50 translate-middle-y search-icon px-3"><i class="bi bi-lock-fill"></i></div>
                        <input type="password" class="form-control radius-30 ps-5" id="inputChoosePassword" name="password" placeholder="Enter Password" required>
                      </div>
                    </div>
                    <div class="col-6">
                      <div class="form-check form-switch">
                        <input class="form-check-input" type="checkbox" id="flexSwitchCheckChecked" checked="">
                        <label class="form-check-label" for="flexSwitchCheckChecked">Remember Me</label>
                      </div>
                    </div>
                    <div class="col-12">
                      <div class="d-grid">
                        <button type="submit" class="btn btn-primary radius-30">Sign In</button>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
    <!--end page main-->
  </div>
  <!--end wrapper-->

  <!--plugins-->
  <script src="assets/js/jquery.min.js"></script>
  <script src="assets/js/pace.min.js"></script>

  <!-- AJAX request -->
  <script>
    $(document).ready(function () {
      // Handle form submission
      $('#signin-form').submit(function (e) {
        e.preventDefault();

        // Get form data
        var formData = $(this).serialize();

        // Make AJAX request
        $.ajax({
          type: 'POST',
          url: 'signin-process.php',
          data: formData,
          dataType: 'json',
          success: function (response) {
            // Handle response from the server
            if (response.success) {
              // Login successful, redirect to dashboard or desired page
              window.location.href = 'index.php';
            } else {
              // Login failed, display error message
              alert(response.message);
            }
          },
          error: function () {
            // Error occurred during the AJAX request
            alert('An error occurred. Please try again.');
          }
        });
      });
    });
  </script>
</body>

</html>
