<?php include "includes/header.php"; 

$uploadDirectory = __DIR__ . '/images/admins/';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Update callToAction data
    if (isset($_POST['update'])) {
        // Get the logged-in user's ID from the session
        $id = intval($_GET['id']);

        $username = htmlspecialchars($_POST['username']);
        $firstName = htmlspecialchars($_POST['firstName']);
        $lastName = htmlspecialchars($_POST['lastName']);
        $phoneNumber = htmlspecialchars($_POST['phoneNumber']);
        $city = htmlspecialchars($_POST['city']);
        $country = htmlspecialchars($_POST['country']);
        $role = htmlspecialchars($_POST['role']);
        $university = htmlspecialchars($_POST['university']);
        $aboutMe = htmlspecialchars($_POST['aboutMe']);

        $updateQuery = "UPDATE admins SET username = ?, firstName = ?, lastName = ?, phoneNumber = ?, city = ?, country = ?, role = ?, university = ?, aboutMe = ? WHERE id = ?";
        if ($stmt = $connection->prepare($updateQuery)) {
            $stmt->bind_param("sssssssssi", $username, $firstName, $lastName, $phoneNumber, $city, $country, $role, $university, $aboutMe, $id);
            if ($stmt->execute()) {
                echo "<script>window.location.href = window.location.pathname + '?update=success&id=$id';</script>";
            } else {
                echo "<script>window.location.href = window.location.pathname + '?update=failure&id=$id';</script>";
            }
            $stmt->close();
        } else {
            echo "<script>window.location.href = window.location.pathname + '?update=failure&id=$id';</script>";
        }
    }

    // Update callToAction image
    if (isset($_FILES['image']) && $_FILES['image']['error'] === UPLOAD_ERR_OK) {
        $allowedMimeTypes = ['image/jpeg', 'image/png', 'image/gif', 'image/webp'];
        $allowedExtensions = ['jpg', 'jpeg', 'png', 'gif', 'webp'];

        $image = $_FILES['image']['tmp_name'];
        $imageName = basename($_FILES['image']['name']);
        $imagePath = $uploadDirectory . $imageName;

        $imageMimeType = mime_content_type($image);
        $imageExtension = pathinfo($imageName, PATHINFO_EXTENSION);

        if (in_array($imageMimeType, $allowedMimeTypes) && in_array(strtolower($imageExtension), $allowedExtensions)) {
            // Move the uploaded image to the destination directory
            if (move_uploaded_file($image, $imagePath)) {
                $relativeImagePath = 'images/admins/' . $imageName;

                // Get the logged-in user's ID from the session
                $id = intval($_GET['id']);

                $updateQuery = "UPDATE admins SET image = ? WHERE id = ?";
                if ($stmt = $connection->prepare($updateQuery)) {
                    $stmt->bind_param("si", $relativeImagePath, $id);
                    if ($stmt->execute()) {
                        echo "<script>window.location.href = window.location.pathname + '?update=success&id=$id';</script>";
                    } else {
                        echo "<script>window.location.href = window.location.pathname + '?update=failure&id=$id';</script>";
                    }
                    $stmt->close();
                } else {
                    echo "<script>window.location.href = window.location.pathname + '?update=failure&id=$id';</script>";
                }
            } else {
                echo "<script>window.location.href = window.location.pathname + '?update=failed&id=$id';</script>";
            }
        } else {
            echo "<script>window.location.href = window.location.pathname + '?update=invalid&id=$id';</script>";
        }
    }
}
?>

<?php include "includes/sidebar.php"; ?>

<main class="page-content">
    <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
        <div class="breadcrumb-title pe-3">Admin Profile</div>
        <div class="ps-3">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb mb-0 p-0">
                    <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a></li>
                    <li class="breadcrumb-item active" aria-current="page">Manage Admin Profile</li>
                </ol>
            </nav>
        </div>
    </div>
    <!--end breadcrumb-->

    <div class="row">
        <div class="col-xl-8">
            <div class="card">
                <div class="card-body">
                    <div class="border p-3 rounded">
                        <h6 class="mb-0 text-uppercase">My Account</h6>
                        <hr />
                        <?php
                            $id = intval($_GET['id']);
                            $query = "SELECT * FROM admins WHERE id=?";
                            if ($stmt = $connection->prepare($query)) {
                                $stmt->bind_param("i", $id);
                                $stmt->execute();
                                $result = $stmt->get_result();
                                $row = $result->fetch_assoc();
                                $stmt->close();
                            }
                        ?>
                        <form class="row g-3" action="" method="post" enctype="multipart/form-data" id="update_form">
                            <div class="col-6">
                                <label class="form-label">Username</label>
                                <input type="text" name="username" class="form-control" value="<?php echo htmlspecialchars($row['username']); ?>">
                            </div>
                            <div class="col-6">
                                <label class="form-label">Phone Number</label>
                                <input type="text" name="phoneNumber" class="form-control" value="<?php echo htmlspecialchars($row['phoneNumber']); ?>">
                            </div>                            
                            <div class="col-6">
                                <label class="form-label">First Name</label>
                                <input type="text" name="firstName" class="form-control" value="<?php echo htmlspecialchars($row['firstName']); ?>">
                            </div>
                            <div class="col-6">
                                <label class="form-label">Last Name</label>
                                <input type="text" name="lastName" class="form-control" value="<?php echo htmlspecialchars($row['lastName']); ?>">
                            </div> 
                            <div class="col-12">
                                <label class="form-label">Email address</label>
                                <input type="text" name="email" class="form-control" value="<?php echo htmlspecialchars($row['email']); ?>" readonly>
                            </div>                           
                            <div class="col-6">
                                <label class="form-label">City</label>
                                <input type="text" name="city" class="form-control" value="<?php echo htmlspecialchars($row['city']); ?>">
                            </div>
                            <div class="col-6">
                                <label class="form-label">Country</label>
                                <input type="text" name="country" class="form-control" value="<?php echo htmlspecialchars($row['country']); ?>">
                            </div>                            
                            <div class="col-6">
                                <label class="form-label">Role</label>
                                <input type="text" name="role" class="form-control" value="<?php echo htmlspecialchars($row['role']); ?>">
                            </div>
                            <div class="col-6">
                                <label class="form-label">University</label>
                                <input type="text" name="university" class="form-control" value="<?php echo htmlspecialchars($row['university']); ?>">
                            </div>
                            <div class="col-12">
                                <label class="form-label">About Me</label>
                                <textarea name="aboutMe" class="form-control" rows="4" cols="4" placeholder="Describe yourself..."><?php echo htmlspecialchars($row['aboutMe']); ?></textarea>
                            </div>
                            <div class="col-12">
                                <label class="form-label">Profile Picture <span class="text-muted">120 x 120</span></label>
                                <input type="file" id="image" name="image" class="form-control" accept="image/*">
                            </div>
                            <a href="changePassword.php?id=<?php echo $id; ?>">Change Password</a>
                            <a href="privileges.php?id=<?php echo $id; ?>">Adjust Privileges</a>
                            <div class="col-12">
                                <div class="d-grid">                                    
                                    <button type="submit" name="update" class="btn btn-primary">Update</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 col-lg-4">
            <div class="card shadow-sm border-0 overflow-hidden">
                <div class="card-body">
                    <div class="profile-avatar text-center">
                        <?php if (!empty($row['image'])): ?>
                        <img src="<?php echo htmlspecialchars($row['image']); ?>" class="rounded-circle shadow" width="120" height="120" alt="Profile Image">
                        <?php else: ?>
                        <img src="assets/images/avatars/avatar-1.png" class="rounded-circle shadow" width="120" height="120" alt="Default Profile Image">
                        <?php endif; ?>
                    </div>
                    <div class="text-center mt-4">
                        <h4 class="mb-1"><?php echo htmlspecialchars($row['firstName'] . ' ' . $row['lastName']); ?></h4>
                        <p class="mb-0 text-secondary"><?php echo htmlspecialchars($row['city'] . ', ' . $row['country'] . ' / ' . $row['phoneNumber']); ?></p>
                        <div class="mt-4"></div>
                        <h6 class="mb-1"><?php echo htmlspecialchars($row['role']); ?></h6>
                        <p class="mb-0 text-secondary"><?php echo htmlspecialchars($row['university']); ?></p>
                    </div>
                    <hr>
                    <div class="text-start">
                        <h5 class="">About</h5>
                        <p class="mb-0"><?php echo htmlspecialchars($row['aboutMe']); ?></p>
                    </div>
                </div>
            </div>
        </div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="assets/plugins/notifications/js/notifications1.js"></script>

<script>
    window.onload = function() {
        const params = new URLSearchParams(window.location.search);
        const update = params.get('update');
        if (update === 'success') {
            success_noti('Account updated successfully.');
        } else if (update === 'failure') {
            error_noti('Failed to update Account.');
        } else if (update === 'invalid') {
            error_noti('Invalid file type. Please upload an image.');
        }
    };
</script>

<?php include "includes/footer.php"; ?>
